View Issue Details

IDProjectCategoryView StatusLast Update
0000577Far Manager 1.7xEditorpublic2008-10-01 10:05
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000577: Сбрасывается позиция в строке при Undo после XLat
DescriptionПри Undo, отменяющем XLat, курсор перескакивает в начало первой строки блока.
Steps To Reproduce1. Запускаем Фар; например, без плагинов и макросов.
2. Открываем на редактирование файл; например, новый.
3. Пишем в строку текст; например, "abc xyz".
4. Выделяем фрагмент текста; например, слово "xyz".
5. Применяем к выделению XLat; например, в соответствии с TechInfo #10.
6. Делаем Undo; например CtrlZ - действие отменилось, но курсор оказался в начале первой строки затронутого блока.
Additional InformationТакое поведение наблюдается уже давным-давно (т.е. это появилось не в "свежих" сборках).
TagsNo tags attached.
Build2426

Activities

vskirdin

2008-08-10 14:20

administrator   bugnote:0001719

проверь - http://farmanager.com/farbugs/m577.1.rar

CrOm

2008-08-11 00:18

reporter   bugnote:0001721

vskirdin, надо было написать

проверь; например, http://farmanager.com/farbugs/m577.1.rar :)))

HaRT

2008-08-11 06:06

reporter   bugnote:0001723

> проверь - http://farmanager.com/farbugs/m577.1.rar
Вроде нормально. Если замечу, что что-то отвалилось - отпишусь.

HaRT

2008-09-30 03:28

reporter   bugnote:0001843

Проверено на сборке 2440

Issue History

Date Modified Username Field Change
2008-07-22 06:17 HaRT New Issue
2008-08-10 14:16 vskirdin Status new => assigned
2008-08-10 14:16 vskirdin Assigned To => vskirdin
2008-08-10 14:20 vskirdin Note Added: 0001719
2008-08-10 14:20 vskirdin Status assigned => feedback
2008-08-11 00:18 CrOm Note Added: 0001721
2008-08-11 06:06 HaRT Note Added: 0001723
2008-09-30 03:28 HaRT Status feedback => resolved
2008-09-30 03:28 HaRT Resolution open => fixed
2008-09-30 03:28 HaRT Note Added: 0001843
2008-10-01 10:04 vskirdin Build => 2426
2008-10-01 10:04 vskirdin Status resolved => closed
2008-10-01 10:05 vskirdin Fixed in Version => 1.71